<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (11.0.18) on Fri Apr 07 11:32:11 CEST 2023 -->
<title>Demineur</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf8">
<meta name="dc.created" content="2023-04-07">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery/jquery-ui.min.css" title="Style">
<link rel="stylesheet" type="text/css" href="jquery-ui.overrides.css" title="Style">
<script type="text/javascript" src="script.js"></script>
<script type="text/javascript" src="jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="jquery/jquery-3.6.0.min.js"></script>
<script type="text/javascript" src="jquery/jquery-ui.min.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Demineur";
        }
    }
    catch(err) {
    }
//-->
var data = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
var pathtoroot = "./";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<!-- ======== START OF CLASS DATA ======== -->
<main role="main">
<div class="header">
<h2 title="Class Demineur" class="title">Class Demineur</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>Object</li>
<li>
<ul class="inheritance">
<li><a href="Plateau.html" title="class in &lt;Unnamed&gt;">Plateau</a></li>
<li>
<ul class="inheritance">
<li>Demineur</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<pre>public class <span class="typeNameLabel">Demineur</span>
extends <a href="Plateau.html" title="class in &lt;Unnamed&gt;">Plateau</a></pre>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<section>
<ul class="blockList">
<li class="blockList"><a id="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Constructor</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr class="altColor">
<th class="colConstructorName" scope="row"><code><span class="memberNameLink"><a href="#%3Cinit%3E(int,int,int)">Demineur</a></span>&#8203;(int&nbsp;nbLignes,
        int&nbsp;nbColonnes,
        int&nbsp;pourcentage)</code></th>
<td class="colLast">
<div class="block">permet de créer le démineur</div>
</td>
</tr>
</table>
</li>
</ul>
</section>
<!-- ========== METHOD SUMMARY =========== -->
<section>
<ul class="blockList">
<li class="blockList"><a id="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#affiche()">affiche</a></span>()</code></th>
<td class="colLast">
<div class="block">permet d'afficher le jeu</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#estGagnee()">estGagnee</a></span>()</code></th>
<td class="colLast">
<div class="block">permet de savoir si la partie est gagnée</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#estPerdue()">estPerdue</a></span>()</code></th>
<td class="colLast">
<div class="block">permet de savoir si une partie est perdue</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>int</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#getScore()">getScore</a></span>()</code></th>
<td class="colLast">
<div class="block">permet d'obtenir le score actuel</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#marquer(int,int)">marquer</a></span>&#8203;(int&nbsp;x,
       int&nbsp;y)</code></th>
<td class="colLast">
<div class="block">permet de marquer une case</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#nouvellePartie()">nouvellePartie</a></span>()</code></th>
<td class="colLast">
<div class="block">permet de recommencer une partie</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#reset()">reset</a></span>()</code></th>
<td class="colLast">
<div class="block">permet de tout réinitialiser</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<th class="colSecond" scope="row"><code><span class="memberNameLink"><a href="#reveler(int,int)">reveler</a></span>&#8203;(int&nbsp;x,
       int&nbsp;y)</code></th>
<td class="colLast">
<div class="block">permet de révéler une case voire ses voisins selon certaines conditions</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.Plateau">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;<a href="Plateau.html" title="class in &lt;Unnamed&gt;">Plateau</a></h3>
<code><a href="Plateau.html#getCase(int,int)">getCase</a>, <a href="Plateau.html#getNbCasesMarquees()">getNbCasesMarquees</a>, <a href="Plateau.html#getNbColonnes()">getNbColonnes</a>, <a href="Plateau.html#getNbLignes()">getNbLignes</a>, <a href="Plateau.html#getNbTotalBombes()">getNbTotalBombes</a>, <a href="Plateau.html#poseBombe(int,int)">poseBombe</a>, <a href="Plateau.html#poseDesBombesAleatoirement()">poseDesBombesAleatoirement</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a id="methods.inherited.from.class.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<section>
<ul class="blockList">
<li class="blockList"><a id="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a id="&lt;init&gt;(int,int,int)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Demineur</h4>
<pre>public&nbsp;Demineur&#8203;(int&nbsp;nbLignes,
                int&nbsp;nbColonnes,
                int&nbsp;pourcentage)</pre>
<div class="block">permet de créer le démineur</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>nbLignes</code> - le nombre de lignes du jeu</dd>
<dd><code>nbColonnes</code> - le nombre de colonnes du jeu</dd>
<dd><code>pourcentage</code> - le pourcentage de bombes du jeu</dd>
</dl>
</li>
</ul>
</li>
</ul>
</section>
<!-- ============ METHOD DETAIL ========== -->
<section>
<ul class="blockList">
<li class="blockList"><a id="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a id="getScore()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getScore</h4>
<pre class="methodSignature">public&nbsp;int&nbsp;getScore()</pre>
<div class="block">permet d'obtenir le score actuel</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>le score</dd>
</dl>
</li>
</ul>
<a id="reveler(int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reveler</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;reveler&#8203;(int&nbsp;x,
                    int&nbsp;y)</pre>
<div class="block">permet de révéler une case voire ses voisins selon certaines conditions</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - la ligne de la case</dd>
<dd><code>y</code> - la colonne de la case</dd>
</dl>
</li>
</ul>
<a id="marquer(int,int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>marquer</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;marquer&#8203;(int&nbsp;x,
                    int&nbsp;y)</pre>
<div class="block">permet de marquer une case</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - la ligne de la case</dd>
<dd><code>y</code> - la colonne de la case</dd>
</dl>
</li>
</ul>
<a id="estGagnee()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>estGagnee</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;estGagnee()</pre>
<div class="block">permet de savoir si la partie est gagnée</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true si la partie est gagnée, false sinon</dd>
</dl>
</li>
</ul>
<a id="estPerdue()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>estPerdue</h4>
<pre class="methodSignature">public&nbsp;boolean&nbsp;estPerdue()</pre>
<div class="block">permet de savoir si une partie est perdue</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true si elle est perdue</dd>
</dl>
</li>
</ul>
<a id="reset()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>reset</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;reset()</pre>
<div class="block">permet de tout réinitialiser</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="Plateau.html#reset()">reset</a></code>&nbsp;in class&nbsp;<code><a href="Plateau.html" title="class in &lt;Unnamed&gt;">Plateau</a></code></dd>
</dl>
</li>
</ul>
<a id="affiche()">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>affiche</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;affiche()</pre>
<div class="block">permet d'afficher le jeu</div>
</li>
</ul>
<a id="nouvellePartie()">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>nouvellePartie</h4>
<pre class="methodSignature">public&nbsp;void&nbsp;nouvellePartie()</pre>
<div class="block">permet de recommencer une partie</div>
</li>
</ul>
</li>
</ul>
</section>
</li>
</ul>
</div>
</div>
</main>
<!-- ========= END OF CLASS DATA ========= -->
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
</footer>
</body>
</html>
